/* 2.1b Menu  --------------------------------------------------------------- */
/*body.admin-bar .header {position: fixed;}*/
    .header{position: fixed!important; top:0; left:0; z-index: 9999; width: 100%;}
    .header__content, .header__menu li {border-bottom-width: 1px; border-bottom-style: solid; }
    .header__content{width: 100%; margin: 0 auto; display: flex; justify-content: space-between; padding: 10px 4% 10px; position: relative;}    
    .header__logo, .header__quick{display: flex; align-items: center; color:var(--site-text-color); font-weight: bold;}
    .header__quick a{color:var(--site-text-color);}
    .header__quick ul{list-style-type: none; margin-bottom: 0; padding-left: 0;}
    .header__quick ul li{display: inline-block;}
    .header__quick ul li a{padding: 16px 10px;}
    .menu, .menu ul{position: relative; margin: auto 0 auto auto;}
    .menu li{display: inline-block; position: relative}
    .menu li a{display: block; padding: 10px 18px; font-size: 16px; font-weight: bold;}
    .menu li a, .header__quick ul li a{color: var(--menu-color)!important;}
    .menu li a:hover, .header__quick ul li a:hover, .menu li li ul li a:hover {color: var(--menu-color-hover)!important;}
    .icon-hamburger{display: none;}
    /* .noTitle {display: none;} show or not all title page */
    /* .noTitle.titlePosts {display: none;} show or not all title posts */
    /* .noCategory {display: none;} show or not all category posts after title */
    .header__topbar ul {list-style-type: none;}

/* Quick search */
    .quick-search{width: 140px; height: 38px; background: #fff; border-radius: 30px; opacity: 0.6; margin: 2px 0 0 0; transition: all 0.3s cubic-bezier(.215, .61, .355, 1);}
    .quick-search form{display: flex; justify-content: center; align-items: center;}
    .quick-search__icon{border:none; background: none; padding: 0; padding: 13px 2px}
    input.quick-search__input[type=text]{padding: 10px 3px; font-size: 13px; margin:0; border:none; background: none}
    input.quick-search__input[type=text]:focus{ outline: none;}
    .quick-search:hover{opacity: 1;transform: scale(1.1);}

@media (max-width: 1290px) {
    .quick-search {width: 40px; position: relative; background-color: transparent; margin-right: 10px;}
    .quick-search form{width:38px; height: 38px; position: absolute; right:0; top:0; background: #fff; border-radius: 40px; transition: all 1s cubic-bezier(.215, .61, .355, 1);}
    .quick-search:hover form{width:138px;}
}

/* Menu Dropdown --------------------------------------------- */
    .menu li ul{background: #eee; visibility: hidden; opacity: 0; min-width: 200px; position: absolute; transition: all 0.5s ease; margin-top: 0px; left: 0; display: none; padding: 0;}
    .menu li ul > li > a, .page-template-menu-trasparent .menu li ul > li > a{color: var(--menu-color);}
    .menu li ul > li > a:hover {background: #ccc;color: var(--menu-color-hover);}

/* Open Dropdown --------------------------------------------- */
    .menu li.open-dropdown ul{visibility: visible; opacity: 1; display: block; }
    .menu li ul li { clear: both; width: 100%; }
    .menu > li.menu-item-has-children > a{position: relative; padding-right: 15px;}
    .menu > li.menu-item-has-children > a::after{font-family: 'Dashicons'; content: '\f347'; display: inline-block; vertical-align: middle; margin-left:5px;}

/* search dropanddown  -------------------------------------------------- */    
    .search-container {position: relative; display: inline-block;}
    .search-trigger {background: none; border: none; cursor: pointer; padding-left: 5px;}
    .search-dropdown {display: none; position: absolute; top: 100%; /* Posiziona il dropdown sotto il trigger */ right: 0; width: 90vw; background: #fff; border: 1px solid #ccc; box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1); border-radius: 35px; padding: 10px; z-index: 1000; margin-top:30px;}
    .quick-search__input {background:#fff; width: calc(87vw - 40px); padding: 10px; border: none; border-radius: 5px; box-sizing: border-box;}
    .search-submit {position: absolute;right: 5px; top: 50%; transform: translateY(-50%); /* Centra verticalmente l'icona */ background: none!important; border: none; cursor: pointer; font-size: 20px; color: #000!important; margin-top:0px!important;}
    .search-trigger .iconaSearch {display: inline-block; margin: 0 5px; width: 17px; height: 17px; color: var(--menu-color);}
    .search-trigger .iconaSearch:hover {color: var(--menu-color-hover);}  
  
 @media (min-width: 1191px) {
    .spacer{height: 116px;}
    .menu li ul li ul {top: 20px; left: 100%; display: none;}
    .header {display: block; background-color: var(--site-header-bg)!important; transition: all 1s cubic-bezier(.215, .61, .355, 1);}
    /* .header__content{border:none} border under top bar descktop */
    .header [class^='icon-']{filter: brightness(0) invert(1);}
    .header__logo{color:#fff}
    .header__logo-img {max-height:100px!important; transition: width 0.7s ease, height 0.7s ease!important; /* Riduce il logo durante lo scroll */}
    .scroll-down .header__content {padding: 4px 4% 4px;}
    .scroll-down .header {display: block; /* Assicura che l'elemento abbia un contesto di posizionamento */}
    .scroll-down .header__logo-img{width: 85px; height: auto; transition: width 0.7s ease, height 0.7s ease; /* Riduce il logo durante lo scroll */ }
    .scroll-down .menu li a, .scroll-down .header__quick ul li a {color: var(--menu-color);}
    .scroll-down .header__quick {top: calc(50% - 14px);}
    .menu li:hover > ul, .menu li ul:hover { visibility: visible; opacity: 1; display: block; }
    .page-template-menu-trasparent .menu > li.menu-item-has-children > a::after{margin-left:10px;}
		}
  
@media (max-width: 1190px) {  
    .spacer{height:67px}
    .menu li ul{position: relative; background: none;}
    .menu li ul li{border:none}/* borde sub menu */
    .menu li ul li a,.menu li li ul li a{padding-left: 30px; font-size: 22px;}
    .header__quick{margin-bottom: 0;}
    /* .header__content{border:none} border under top bar mobile */
    .search-trigger {padding-left: 10px;}
    .search-dropdown {padding: 10px; margin-top: 35px; right: -10vw;}
    .header {padding: 0;}
    .header__logo {display: contents;}
    .header__logo-img{max-height: 71px!important;}
    .header__content{height: 80px; padding:4px 80px 4px 20px;}
    .header__quick{display: flex; justify-content: flex-end;}
    .header__quick ul{padding-left: 0;}
    .menu{top:80px; left:0; right:0; padding-top:100px; background-color: var(--site-header-bg); min-width: 100%; height: 100vh; margin: 0 -20px 0 -20px; overflow: auto;transition: all 1s cubic-bezier(.215, .61, .355, 1);}
    .menu li{width: 98%; margin: 0; padding-left: 30px; border-bottom-width: 1px; border-bottom-style: solid;}
    .menu li a {padding: 14px 18px; font-size: 25px; letter-spacing: 2px; font-weight: bold; text-transform: uppercase;}
	.menu-open .menu{transform: translateX(0%);}
	
    /*** slide menu mobile effect ***/
	
	/** slide right to left **/
	.menu{position: fixed; transform: translateX(100%); padding-right: 0;}	
	
	/** slide left to right *
	.menu{position: absolute; transform: translateX(-100%); padding-left: 0; }
	*/
	
	/*** end slide menu mobile effect ***/
	
    .menu-open .menu > li:last-child{margin-bottom: 150px; position: relative;}
    .icon-hamburger{height: 50px; width: 50px; margin-left: 0px; position:absolute; top: 15px; right: 20px; display: block; border:none; z-index: 9999; padding: 13px 10px 5px 10px !important; background: rgba(0,0,0,.5);}
    .icon-hamburger strong{height: 1px;margin-top:-1px; overflow: hidden;width: 1px;display: block;margin: 0;padding: 0;}
    .icon-hamburger span{height: 2px; width: 30px; background-color: #fff; position: relative; display: block; margin-bottom: 11px; transition: all 0.2s cubic-bezier(.215, .61, .355, 1);}
    .menu-open .icon-hamburger span:nth-child(2){transform: rotate(45deg) translateY(9px);}
    .menu-open .icon-hamburger span:nth-child(3){transform: rotate(-45deg) translateY(-9px);}
    .menu-open .icon-hamburger {padding: 13px 16px 5px 16px !important;}
    }

@media (max-width: 600px) { 
    .spacer{height: 60px;} 
    .icon-hamburger {top: 5px; right: 10px;}
    .header__content{height: 60px; padding-left:10px;}
    .header__logo-img{max-height: 52px!important;}
    .header__quick .menu-item-type-custom{display: none;}
    .menu { padding-top:40px; top:60px;}
    .menu li {width: 96%; margin: 0;}
    .menu li a {padding: 14px 18px; font-size: 22px; font-weight: bold; text-transform: uppercase;}
    .menu li ul li a,.menu li li ul li a{padding-left: 50px; font-size: 19px; }
    .search-trigger {padding-left: 10px;}
    .search-dropdown {margin-top: 25px; right: -19vw;}
    }